Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class DistributedFieldUpdate

    java.lang.Object
      org.jboss.aspects.versioned.DistributedFieldUpdate

All Implemented Interfaces:
  Serializable

public class DistributedFieldUpdate
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected int` | `index`
`protected Object` | `val`
`protected long` | `version`

Constructor Summary
`DistributedFieldUpdate()`
`DistributedFieldUpdate(Object val, long version, int index)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getFieldIndex()`
`Object` | `getNonDereferencedValue()`
`Object` | `getValue()`
`long` | `getVersionId()`
`int` | `hashCode()`
`void` | `setValue(Object newVal)`
`void` | `setVersionId(long newId)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### val

    protected Object val

### version

    protected long version

### index

    protected int index

Constructor Detail

### DistributedFieldUpdate

    public DistributedFieldUpdate()

### DistributedFieldUpdate

    public DistributedFieldUpdate(Object val,
                                  long version,
                                  int index)

Method Detail

### getVersionId

    public long getVersionId()

### setVersionId

    public void setVersionId(long newId)

### getFieldIndex

    public int getFieldIndex()

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getValue

    public Object getValue()

### setValue

    public void setValue(Object newVal)

### getNonDereferencedValue

    public Object getNonDereferencedValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.